summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-mobilephone/qtadb
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-mobilephone/qtadb')
-rw-r--r--app-mobilephone/qtadb/Manifest1
-rw-r--r--app-mobilephone/qtadb/metadata.xml15
-rw-r--r--app-mobilephone/qtadb/qtadb-0.8.1.ebuild55
3 files changed, 71 insertions, 0 deletions
diff --git a/app-mobilephone/qtadb/Manifest b/app-mobilephone/qtadb/Manifest
new file mode 100644
index 00000000000..e66e1a00186
--- /dev/null
+++ b/app-mobilephone/qtadb/Manifest
@@ -0,0 +1 @@
+DIST QtADB_0.8.1_src.zip 1084159 SHA256 732eb8736c2fadddc80c37b47a91589c02e474cf5b0b68393411ffd4611cdb5f SHA512 4bcf28a9442873c3d94c33f5b629c1528efb10a34a6825eb8e596ea6fbb23144a56b64bccc258eaf579ca7d86bd7520f6274d611243290ae6f3bee72021346fa WHIRLPOOL 0970c41c5578ba4a3cb221317de07e8ab22643adeccc7bd104795881a26d69dae07b022e76f6b5e3e4e40136ff0203ef3b24f9c041d51078f2f77f521598d162
diff --git a/app-mobilephone/qtadb/metadata.xml b/app-mobilephone/qtadb/metadata.xml
new file mode 100644
index 00000000000..c9ed59e50d2
--- /dev/null
+++ b/app-mobilephone/qtadb/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>proxy-maintainers</herd>
+<maintainer>
+<email>opensource@andmarios.com</email>
+<name>Marios Andreopoulos</name>
+<description>Maintainer. Assign bugs to him</description>
+</maintainer>
+<maintainer>
+<email>hwoarang@gentoo.org</email>
+<name>Markos Chandras</name>
+<description>Proxy maintainer. CC him on bugs</description>
+</maintainer>
+</pkgmetadata>
diff --git a/app-mobilephone/qtadb/qtadb-0.8.1.ebuild b/app-mobilephone/qtadb/qtadb-0.8.1.ebuild
new file mode 100644
index 00000000000..1e19f0045f0
--- /dev/null
+++ b/app-mobilephone/qtadb/qtadb-0.8.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit eutils readme.gentoo qt4-r2
+
+MY_PN="QtADB"
+MY_P="${MY_PN}_${PV}_src"
+
+DESCRIPTION="Android phone manager via ADB"
+HOMEPAGE="http://qtadb.wordpress.com"
+SRC_URI="http://${PN}.com/${PN}/${MY_P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-qt/qtgui:4
+ dev-qt/qtdeclarative:4"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S="${WORKDIR}/trunk"
+
+pkg_setup() {
+ DISABLE_AUTOFORMATTING="yes"
+ DOC_CONTENTS="
+You will need a working Android SDK installation (adb and aapt executables)
+You can install Android SDK a) through portage (emerge android-sdk-update-manager
+and run android to download the actual sdk), b) manually from
+http://developer.android.com/sdk/index.html or c) just grab the adb, aapt linux
+binaries from http://qtadb.wordpress.com/download/
+adb and aapt executables are in the platform-tools subdir of Android SDK
+
+Also you will need to have ROOT access to your phone along with busybox
+The latter can be found in the Android market
+
+Last, if you want to use the SMS manager of QtADB, you have to install
+QtADB.apk to your device, available here: http://qtadb.wordpress.com/download/
+
+If you have trouble getting your phone connected through usb (driver problem),
+try adbWireless from Android market to get connected through WiFi
+"
+}
+
+src_install() {
+ newicon images/android.png ${PN}.png
+ make_desktop_entry ${MY_PN} "${MY_PN}" ${PN} \
+ "Qt;PDA;Utility;" || die "Desktop entry creation failed"
+ dobin ${MY_PN}
+ readme.gentoo_create_doc
+}